<template>
  <NuxtPage v-if="flight && leg" :flight="flight" :leg="leg" />
</template>

<script setup lang="ts">
import type { Flight } from "~/dto/flight.dto";
import type { Leg } from "~/dto/leg.dto";

defineProps<{
  flight: Flight,
  leg: Leg,
}>();
</script>
